#Atlas

Ruby toolkit for the Workshop API.

![Atlas](http://bloc-global-assets.s3.amazonaws.com/atlas.jpg)

##Quick start

Install via Rubygems

```bash
gem install atlas
```

... or add to your Gemfile

```ruby
gem "atlas", "~> 0.1.0"
```

## Usage

Create a new `Atlas` client using your Bloc username and password:

```ruby
atlas = Atlas.new("api_key")
```

Then use the client to make requests:

```ruby
atlas.update_exercise(129, {name: "New Exercise Name"})
```

## Acknowledgements

This gem is inspired by [octokit](https://github.com/octokit)